import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

	public Outcome test(InStream inf, InStream ouf, InStream ans) {
		int pa2 = ouf.nextInt();
		int pa3 = ouf.nextInt();
		int ja2 = ans.nextInt();
		int ja3 = ans.nextInt();
		if (pa2 != ja2 || pa3 != ja3) {
			return new Outcome(Type.WA, "ja: " + ja2 + " " + ja3 + "; pa: "
					+ pa2 + " " + pa3);
		}
		return new Outcome(Type.OK, ja2 + " " + ja3);
	}

}
